Create Access Token
Description
Issues an access token using a Client ID and Client Secret. Use the issued access token to call the Vehicle Data API. When the access token expires, refer to this document to issue a new access token.
caution
- If you reissue My Vehicle API key, access tokens issued with the previous Key are invalidated.
- If you revoke My Vehicle API key, all tokens are invalidated and cannot be reissued.
Endpoint
POST https://api.pleos.ai/v1/auth/personal-token
Request
curl
curl -X POST "https://api.pleos.ai/v1/auth/personal-token" \
-H "Brand: hyundai" \
-H "Content-Type: application/json" \
-d '{
"clientId": "<YOUR_CLIENT_ID>",
"clientSecret": "<YOUR_CLIENT_SECRET>"
}'
Header
| Parameter | Type | Description | Required |
|---|---|---|---|
| Brand | string | Vehicle brand (hyundai/kia/genesis) | Required |
| Content-Type | string | application/json | Optional |
Body Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| clientId | string | clientId issued by Pleos | Required |
| clientSecret | string | clientSecret issued by Pleos | Required |
Response
Success
200
{
"data": {
"accessToken": "<ACCESS_TOKEN>",
},
"meta": {
"code": 200,
"message": "Success",
"success": true,
"timestamp": "2026-07-03T10:00:00+09:00",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246"
}
}
| Field | Type | Description |
|---|---|---|
| data.accessToken | string | Token used to call the Vehicle Data API |
Failure
40001
{
"error": {
"code": "40001",
"message": "Invalid Parameters",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246",
"details": [
{
"field": "identifier",
"issue": "must not be blank."
}
],
"timestamp": "2026-07-03T10:00:00+09:00"
}
}
[Error Code]
For details about error codes on failure, see Error Code.